Bug 247984 - Review Request: Etoys - Squeak-based learning environment for OLPC
Review Request: Etoys - Squeak-based learning environment for OLPC
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 247983
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2007-07-12 10:26 EDT by Bert Freudenberg
Modified: 2009-04-06 13:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 14:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Bert Freudenberg 2007-07-12 10:26:27 EDT
Spec URL: http://etoys.laptop.org/srpm/etoys-2.0.1434-1.spec
SRPM URL: http://etoys.laptop.org/srpm/etoys-2.0.1434-1.src.rpm
Description: System-installed part of the Etoys activity for OLPC
Comment 1 Jochen Schmitt 2007-07-12 14:50:22 EDT
Some quick comments about your package:

- You don't used the %{_smp_mflags} macro in the make step
- you don't cleaned the buildroot in the %clean section
Comment 2 Bert Freudenberg 2007-07-13 17:41:08 EDT
Fixed _smp_mpflags and cleaning
New Spec URL: http://etoys.laptop.org/srpm/etoys-2.0.1451-1.spec
New SRPM URL: http://etoys.laptop.org/srpm/etoys-2.0.1451-1.src.rpm
Comment 3 Jason Tibbitts 2007-07-29 14:47:46 EDT
Just a few comments; I can't build this because the dependency isn't in, but I
slanced over the spec file.

Don't use Prefix: or Vendor:.

http://www.squeakland.org/ looks to be a better URL.

There's no need for the
  [ -n "%{buildroot}" -a "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"
magic. You set the buildroot in the spec; it won't be '/'.

It's not really necessary to include the full upstream changelog as your
changelog, although it's OK if that's what you want to do.

The unversioned doc directory is odd.  Most packages use %doc to mark
documentation in the source directory; rpm will copy it into a versioned
directory under /usr/share/doc.  I'm honestly not sure if an unversioned
documentation directory is OK.
Comment 4 Bert Freudenberg 2007-07-29 16:17:00 EDT
Thanks for your suggestions. I'll be on vacation in August, but will get back to this afterwards.
Comment 5 Till Maas 2007-09-08 08:30:18 EDT
Another issues:

- provide a full URL in Source0 to get the tarball or include a comment how to
generate the tarball
- do not use /usr but  %{_prefix}
- %files needs a defattr line
- use %{_libdir} and %{_datadir} in %files
- is ROOT=%{buildroot} in %build really needed?
- consider using disttag

Please read: http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/RPMMacros (it's about %{_libdir} and
other macros)
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines (defattr)
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-beca3bf84972f19a384cc2e5091ed47c2b3cebc7
(disttag)
http://fedoraproject.org/wiki/Packaging/SourceURL (about the URL in Source0)
Comment 6 Till Maas 2007-09-08 08:38:25 EDT
Bert, you are not yet sponsored according to the Fedora Account System, please read:
http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

In case that OLPC packge maintainers do not need to be sponsored, please tell me.
Comment 7 Jason Tibbitts 2007-10-11 23:19:46 EDT
Anything happening here?
Comment 8 Bert Freudenberg 2007-10-12 04:24:46 EDT
I've just been busy with Real Coding so not much time for house keeping here. Will get back to this ASAP.
Comment 9 John (J5) Palmieri 2007-10-15 14:00:06 EDT
Bert says in an e-mail:

This doesn't work because I cannot sign the CLA on behalf of  
Viewpoints. I'm only a consultant for them, not a legal representative.

I have explained the reasoning for the CLA but have also heard whole companies
can sign a CLA which may alleviate Bert's burden.  Kicking to FE-Legal so that
they can explain more and give Bert options.  This is also an issue with bug #247983
Comment 10 Jason Tibbitts 2008-01-20 17:05:38 EST
Any movement over the past three months?
Comment 11 Bert Freudenberg 2008-01-20 17:45:50 EST
Not that I know of - although of course we have been busy hacking (see http://etoys.laptop.org/srpm/ for 
newer versions). Actually, maybe the simpler way is for someone else to become Fedora maintainer for 
Squeak and Etoys (I'm not even a regular Fedora user).
Comment 12 Tom "spot" Callaway 2008-05-12 14:36:34 EDT
I don't think this is possible to move forward, given the fact that squeak-vm is
not acceptable for Fedora in its current state. Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.